# DirectoryIterator::isWritable

(PHP 5, PHP 7)

DirectoryIterator::isWritable — Determine if current DirectoryIterator item can be written to

### Description

public DirectoryIterator::isWritable ( void ) : bool

Determines if the current DirectoryIterator item is writable.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if the file/directory is writable, otherwise `FALSE`

### Examples

Example #1 DirectoryIterator::isWritable() example

This example lists the files and directories which can be opened for writing in the directory containing the script.

`<?php
$iterator = new DirectoryIterator(dirname(__FILE__));
foreach ($iterator as $fileinfo) {
if ($fileinfo->isWritable()) {
echo $fileinfo->getFilename() . "\n";
}
}
?>`

The above example will output something similar to:

    apples.txt
    bananas.html
    pears

### See Also

- DirectoryIterator::getPerms() - Get the permissions of current DirectoryIterator item
- DirectoryIterator::isExecutable() - Determine if current DirectoryIterator item is executable
- DirectoryIterator::isReadable() - Determine if current DirectoryIterator item can be read